Bug 431899 - doesn't unset various environment variables
doesn't unset various environment variables
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-07 13:18 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 14:16:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-02-07 13:18:51 EST
If I start X from a gnome terminal, this happens:


2.
3.
  
Actual results:

[notting@nostromo: ~]$ startx -- :1
xauth:  creating new authority file /home/notting/.serverauth.6187


X.Org X Server 1.4.99.2
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.4.el5.bz358661.1xen x86_64 
Current Operating System: Linux nostromo.devel.redhat.com 2.6.24-23.fc9 #1 SMP
Wed Feb 6 11:23:06 EST 2008 x86_64
Build Date: 29 January 2008  05:11:33AM
Build ID: xorg-x11-server 1.4.99.1-0.19.20080107.fc9 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Thu Feb  7 13:09:39 2008
(==) Using config file: "/etc/X11/xorg.conf"
(II) Module "ddc" already built-in
(II) Module "i2c" already built-in
(II) Module "ramdac" already built-in
SELinux: Invalid object class mapping, disabling SELinux support.
<stdin>:10:10: warning: missing terminating ' character
gnome-session: you're already running a session manager

and it exits.

I need to unset SESSION_MANAGER for it to work. Probably want to unset the dbus
related environment variables as well.

xorg-x11-xinit-1.0.7-3.fc9.x86_64
Comment 1 Adam Jackson 2008-02-11 14:16:46 EST
Built a fix as xorg-x11-xinit 1.0.7-4.fc9.  MODIFIED.

Note You need to log in before you can comment on or make changes to this bug.